<?php
/**
 * @package         Advanced Module Manager
 * @version         3.4.6
 *
 * @author          Peter van Westen <peter@nonumber.nl>
 * @link            http://www.nonumber.nl
 * @copyright       Copyright © 2012 NoNumber All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

/**
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

jimport('joomla.filesystem.file');

$lang = JFactory::getLanguage();
if ($lang->getTag() != 'en-GB') {
	// Loads English language file as fallback (for undefined stuff in other language file)
	$lang->load('com_advancedmodules', JPATH_ADMINISTRATOR, 'en-GB');
}
$lang->load('com_advancedmodules', JPATH_ADMINISTRATOR, null, 1);

$html = array();
if($this->config->layout == 'slides') {
	$html[] = JHtml::_('sliders.panel', JText::_('AMM_MODULE_ASSIGNMENT'), 'assignment-options');
	$html[] = '<fieldset class="panelform assignment-options">';
} else {
	$html[] = JHtml::_('tabs.panel', JText::_('AMM_MODULE_ASSIGNMENT'), 'tab-assignments');
	$html[] = '<div class="width-100 fltlft">';
$html[] = '<fieldset class="adminform assignment-options">';
}
$html[] = '<ul class="adminformlist">';
$html[] = $this->render($this->assignments, 'assignments');

$html[] = $this->render($this->assignments, 'mirror_module');
$html[] = '</ul>';
$html[] = '<div style="clear: both;"></div>';
$html[] = '<div id="' . rand(1000000, 9999999) . '___mirror_module.0" class="nntoggler">';
$html[] = '<ul class="adminformlist">';


if ($this->config->show_assignto_date
	|| $this->config->show_assignto_usergrouplevels
	|| $this->config->show_assignto_languages
	|| $this->config->show_assignto_templates
	|| $this->config->show_assignto_urls
	|| $this->config->show_assignto_os
	|| $this->config->show_assignto_browser
	|| $this->config->show_assignto_components
	|| $this->config->show_assignto_content
) {
	$html[] = $this->render($this->assignments, 'match_method');
}

$html[] = $this->render($this->assignments, 'show_assignments');

$html[] = $this->render($this->assignments, 'assignto_menuitems');
if ($this->config->show_assignto_homepage) {
	$html[] = $this->render($this->assignments, 'assignto_homepage');
}

if ($this->config->show_assignto_date) {
	$html[] = $this->render($this->assignments, 'assignto_date');
}

if ($this->config->show_assignto_usergrouplevels
) {
	$html[] = $this->render($this->assignments, 'assignto_users_open');
	if ($this->config->show_assignto_usergrouplevels) {
		$html[] = $this->render($this->assignments, 'assignto_usergrouplevels');
	}
	$html[] = $this->render($this->assignments, 'assignto_users_close');
}

if ($this->config->show_assignto_languages) {
	$html[] = $this->render($this->assignments, 'assignto_languages');
}
if ($this->config->show_assignto_templates) {
	$html[] = $this->render($this->assignments, 'assignto_templates');
}

if ($this->config->show_assignto_urls) {
	$html[] = $this->render($this->assignments, 'assignto_urls');
}
if ($this->config->show_assignto_os) {
	$html[] = $this->render($this->assignments, 'assignto_os');
}
if ($this->config->show_assignto_browsers) {
	$html[] = $this->render($this->assignments, 'assignto_browsers');
}

if ($this->config->show_assignto_components) {
	$html[] = $this->render($this->assignments, 'assignto_components');
}

if ($this->config->show_assignto_content) {
	$html[] = $this->render($this->assignments, 'assignto_content');
}


if ($this->config->show_mirror_module) {
	$html[] = '</div>';
}

$html[] = '</ul>';
$html[] = '</fieldset>';
if($this->config->layout != 'slides') {
	$html[] = '</div>';
	$html[] = '<div class="clr"></div>';
}

echo implode("\n\n", $html);
